Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::Measurement Class Referenceabstract

`#include <SensMeasurement.hpp>`

Inheritance diagram for Ipopt::Measurement:
[legend]

## Public Member Functions
| Measurement ()
| This class provides an abstraction for the measurements of the states coming in and the solutions of the controller. More...
virtual | ~Measurement ()
virtual std::vector< Index > | GetInitialEqConstraints ()=0
| This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT. More...
virtual SmartPtr< DenseVector > | GetMeasurement (Index measurement_number)=0
| This function returns delta_u. More...
virtual void | SetSolution (Index measurement_number, SmartPtr< IteratesVector > sol)=0
| This function does whatever the measurement machine does with the solution of the SensAlgorithm. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Detailed Description

Definition at line 19 of file SensMeasurement.hpp.

## Constructor & Destructor Documentation

Ipopt::Measurement::Measurement | ( |  | ) |
| inline

This class provides an abstraction for the measurements of the states coming in and the solutions of the controller.

It basicall acts as the "plant" of the controller.

Definition at line 25 of file SensMeasurement.hpp.

virtual Ipopt::Measurement::~Measurement | ( |  | ) |
| inline virtual

Definition at line 29 of file SensMeasurement.hpp.

## Member Function Documentation

virtual std::vector<Index> Ipopt::Measurement::GetInitialEqConstraints | ( |  | ) |
| pure virtual

This function returns a std::vector holding the indices in IteratesVector of the equations that are to be "slacked" to free the initial values for sIPOPT.

This std::vector is used in the construction of the A-SchurData for the Schur Decomposition.

Implemented in Ipopt::MetadataMeasurement.

virtual SmartPtr<DenseVector> Ipopt::Measurement::GetMeasurement | ( | Index | measurement_number | ) |
| pure virtual

This function returns delta_u.

It should use the values of IpData().trial()->x()

Implemented in Ipopt::MetadataMeasurement.

virtual void Ipopt::Measurement::SetSolution | ( | Index | measurement_number,
|  | SmartPtr< IteratesVector > | sol
| ) |  |
| pure virtual

This function does whatever the measurement machine does with the solution of the SensAlgorithm.

Implemented in Ipopt::MetadataMeasurement.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensMeasurement.hpp